Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.content
Class XmlValidatorAppenderPrefilter

    java.lang.Object
      com.servingxml.components.content.XmlValidatorAppenderPrefilter

All Implemented Interfaces:
  Validator, Content, XmlValidatorAppender, Stringable

    public class XmlValidatorAppenderPrefilter

extends java.lang.Object
implements XmlValidatorAppender

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary
`protected ParameterDescriptor[]` | `parameterDescriptors`

Fields inherited from interface com.servingxml.components.content.Content
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Constructor Summary
`XmlValidatorAppenderPrefilter(XmlValidatorAppender validator, ParameterDescriptor[] parameterDescriptors)`

Method Summary
`void` | `appendToXmlPipeline(ServiceContext context, Flow flow, XmlFilterChain pipeline)`
`SaxSource` | `createSaxSource(ServiceContext context, Flow flow)`
`java.lang.String` | `createString(ServiceContext context, Flow flow)`
`XmlPipeline` | `createXmlPipeline(ServiceContext context, Flow flow)`
`void` | `execute(ServiceContext context, Flow flow)`
`boolean` | `validate(ServiceContext context, Flow flow, java.util.List<java.lang.String> failures)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parameterDescriptors

    protected final ParameterDescriptor[] parameterDescriptors

Constructor Detail

### XmlValidatorAppenderPrefilter

    public XmlValidatorAppenderPrefilter(XmlValidatorAppender validator,
                                         ParameterDescriptor[] parameterDescriptors)

Method Detail

### appendToXmlPipeline

    public void appendToXmlPipeline(ServiceContext context,
                                    Flow flow,
                                    XmlFilterChain pipeline)

  Specified by:
    `appendToXmlPipeline` in interface `Content`

### validate

    public boolean validate(ServiceContext context,
                            Flow flow,
                            java.util.List<java.lang.String> failures)

  Specified by:
    `validate` in interface `Validator`

### createXmlPipeline

    public XmlPipeline createXmlPipeline(ServiceContext context,
                                         Flow flow)

  Specified by:
    `createXmlPipeline` in interface `Content`

### createSaxSource

    public SaxSource createSaxSource(ServiceContext context,
                                     Flow flow)

  Specified by:
    `createSaxSource` in interface `Content`

### createString

    public java.lang.String createString(ServiceContext context,
                                         Flow flow)

  Specified by:
    `createString` in interface `Stringable`

### execute

    public void execute(ServiceContext context,
                        Flow flow)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD